changeset 1848:2db84614f61d

6998737: JSR 292: Remove the plug guarding the use of compressed oops Summary: The plug that guards the use of compressed oops with invokedynamic needs to be removed Reviewed-by: twisti, kvn
author iveresov
date Tue, 09 Nov 2010 15:12:15 -0800
parents 5caa30ea147b
children b0e6879e48fa
files src/share/vm/runtime/arguments.cpp
diffstat 1 files changed, 0 insertions(+), 11 deletions(-) [+]
line wrap: on
line diff
--- a/src/share/vm/runtime/arguments.cpp	Mon Nov 08 14:33:48 2010 -0800
+++ b/src/share/vm/runtime/arguments.cpp	Tue Nov 09 15:12:15 2010 -0800
@@ -978,17 +978,6 @@
     }
   }
 
-  // XXX JSR 292 currently does not support compressed oops
-  if (EnableMethodHandles) {
-    if (is_on_by_default) {
-      FLAG_SET_DEFAULT(UseCompressedOops, false);
-      return;
-    } else {
-      vm_exit_during_initialization(
-        "JSR292 is not supported with compressed oops yet", NULL);
-    }
-  }
-
   // If dumping an archive or forcing its use, disable compressed oops if possible
   if (DumpSharedSpaces || RequireSharedSpaces) {
     if (is_on_by_default) {